Package org.gradle.api.tasks.bundling

# Enum Compression

java.lang.Object
java.lang.Enum<Compression>
org.gradle.api.tasks.bundling.Compression

All Implemented Interfaces:
  `Serializable`, `Comparable<Compression>`, `Constable`

public enum Compression extends Enum<Compression>
Specifies the compression which should be applied to a TAR archive.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BZIP2`
  `GZIP`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultExtension()`
  `List<String>`
  `getSupportedExtensions()`
  `static Compression`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Compression[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final Compression NONE

  - ### GZIP

    public static final Compression GZIP

  - ### BZIP2

    public static final Compression BZIP2

- ## Method Details

  - ### values

    public static Compression[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Compression valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDefaultExtension

    public String getDefaultExtension()

  - ### getSupportedExtensions

    public List<String> getSupportedExtensions()